"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@lightweightform/core");
var create_field_component_1 = require("../create-field-component");
var SelectComponent = /** @class */ (function (_super) {
    __extends(SelectComponent, _super);
    function SelectComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SelectComponent.prototype.onSelectChange = function (event) {
        this.value = event.target.value;
    };
    SelectComponent = __decorate([
        core_1.Component(__assign({}, core_2.selectDecorator, { templateUrl: './select.component.html' }))
    ], SelectComponent);
    return SelectComponent;
}(create_field_component_1.createFieldComponent(core_2.SelectController)));
exports.SelectComponent = SelectComponent;
var SelectNumberComponent = /** @class */ (function (_super) {
    __extends(SelectNumberComponent, _super);
    function SelectNumberComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SelectNumberComponent.prototype.onSelectChange = function (event) {
        this.value = parseFloat(event.target.value);
    };
    SelectNumberComponent = __decorate([
        core_1.Component(__assign({}, core_2.selectNumberDecorator, { templateUrl: './select.component.html' }))
    ], SelectNumberComponent);
    return SelectNumberComponent;
}(create_field_component_1.createFieldComponent(core_2.SelectNumberController)));
exports.SelectNumberComponent = SelectNumberComponent;
//# sourceMappingURL=select.component.js.map