"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@lightweightform/core");
var modal_component_1 = require("../modal/modal.component");
var FormComponent = /** @class */ (function (_super) {
    __extends(FormComponent, _super);
    function FormComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FormComponent_1 = FormComponent;
    FormComponent.prototype.ngOnInit = function () {
        var _this = this;
        _super.prototype.ngOnInit.call(this);
        this.invalidActivateEvent.subscribe(function (_) {
            _this.routerService.navigateToDefaultUri();
        });
    };
    FormComponent.prototype.showRemoveModal = function () {
        this._removeModal.show();
    };
    FormComponent.prototype.cancelFormDeletion = function () {
        this._removeModal.hide();
    };
    FormComponent.prototype.confirmFormDeletion = function () {
        this._removeModal.hide();
        this.remove();
        this.routerService.navigateTo(this.appService.defaultUri);
    };
    __decorate([
        core_1.ViewChild('removeModal'),
        __metadata("design:type", modal_component_1.ModalComponent)
    ], FormComponent.prototype, "_removeModal", void 0);
    FormComponent = FormComponent_1 = __decorate([
        core_1.Component(__assign({}, core_2.formDecorator(FormComponent_1), { templateUrl: './form.component.html' }))
    ], FormComponent);
    return FormComponent;
    var FormComponent_1;
}(core_2.FormController));
exports.FormComponent = FormComponent;
//# sourceMappingURL=form.component.js.map