"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@lightweightform/core");
var modal_1 = require("ngx-bootstrap/modal");
var ModalComponent = /** @class */ (function (_super) {
    __extends(ModalComponent, _super);
    function ModalComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.showCloseButton = true;
        _this.animations = true;
        _this.closeByEsc = true;
        _this.backdrop = true;
        _this.ignoreBackdropClick = false;
        return _this;
    }
    ModalComponent.prototype.ngAfterViewInit = function () {
        this.options = {
            show: true,
            animated: this.animations,
            keyboard: this.closeByEsc,
            backdrop: this.backdrop,
            ignoreBackdropClick: this.ignoreBackdropClick,
        };
    };
    ModalComponent.prototype.onHidden = function () {
        this.hide();
    };
    ModalComponent.prototype.hideModal = function () {
        this._autoShownModal.hide();
        this.hide();
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ModalComponent.prototype, "showCloseButton", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], ModalComponent.prototype, "size", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ModalComponent.prototype, "animations", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ModalComponent.prototype, "closeByEsc", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ModalComponent.prototype, "backdrop", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], ModalComponent.prototype, "ignoreBackdropClick", void 0);
    __decorate([
        core_1.ViewChild('autoShownModal'),
        __metadata("design:type", modal_1.ModalDirective)
    ], ModalComponent.prototype, "_autoShownModal", void 0);
    ModalComponent = __decorate([
        core_1.Component({
            selector: 'bs-modal',
            templateUrl: './modal.component.html',
            changeDetection: core_1.ChangeDetectionStrategy.OnPush,
        })
    ], ModalComponent);
    return ModalComponent;
}(core_2.ToggleableController));
exports.ModalComponent = ModalComponent;
//# sourceMappingURL=modal.component.js.map